package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.auth.api.entity.SysUser;

/**
 * 对应数据库表(student):
 */
public class Student extends SysUser {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5869690088559659057L;

	/**  */
	private Integer userId;
	
	/**  */
	private String subjectIdList;

	/**  */
	private String subjectNames;

	private Integer serviceTag;

	private Integer operatingTag;

	private Integer operatingTempTag;

	private Integer teacherId;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private String teacherName;

	private Boolean isNewUser;

	@ApiModelProperty(value = "关心包：0：默认不可用；1：可用；2：已使用;")
	private Integer carePackage;

	@ApiModelProperty(value = "加油包：0：默认不可用；1：可用；2：已使用;")
	private Integer comeOnPackage;

	@ApiModelProperty(value = "年级 1-13")
	private Integer currentGradeNum;

	@ApiModelProperty(value = "班级")
	private String currentClass;

	private Integer cooperationOrganId;
	
	private Integer memberRankSettingId;
	
	private Date membershipStartTime;
	
	private Date membershipEndTime;
	
	private String memberRankImg;

	@ApiModelProperty(value = "活动排课信息")
	private String activityCourseDetail;

	public Student(Integer userId, String subjectIdList) {
		this.userId = userId;
		this.subjectIdList = subjectIdList;
	}

	public String getActivityCourseDetail() {
		return activityCourseDetail;
	}

	public void setActivityCourseDetail(String activityCourseDetail) {
		this.activityCourseDetail = activityCourseDetail;
	}

	public Boolean getIsNewUser() {
		return isNewUser;
	}

	public void setIsNewUser(Boolean isNewUser) {
		this.isNewUser = isNewUser;
	}

	public String getSubjectNames() {
		return subjectNames;
	}

	public void setSubjectNames(String subjectNames) {
		this.subjectNames = subjectNames;
	}

	public Student(Integer userId) {
		this.userId = userId;
	}

	public Student() {
	}

	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setSubjectIdList(String subjectIdList){
		this.subjectIdList = subjectIdList;
	}
	
	public String getSubjectIdList(){
		return this.subjectIdList;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}


	public Integer getServiceTag() {
		return serviceTag;
	}

	public void setServiceTag(Integer serviceTag) {
		this.serviceTag = serviceTag;
	}

	public Integer getOperatingTag() {
		return operatingTag;
	}

	public void setOperatingTag(Integer operatingTag) {
		this.operatingTag = operatingTag;
	}

	public Integer getOperatingTempTag() {
		return operatingTempTag;
	}

	public void setOperatingTempTag(Integer operatingTempTag) {
		this.operatingTempTag = operatingTempTag;
	}

	public Integer getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(Integer teacherId) {
		this.teacherId = teacherId;
	}

	public Integer getCarePackage() {
		return carePackage;
	}

	public void setCarePackage(Integer carePackage) {
		this.carePackage = carePackage;
	}

	public Integer getComeOnPackage() {
		return comeOnPackage;
	}

	public void setComeOnPackage(Integer comeOnPackage) {
		this.comeOnPackage = comeOnPackage;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

	public String getTeacherName() {
		return teacherName;
	}

	public void setTeacherName(String teacherName) {
		this.teacherName = teacherName;
	}

	public Integer getCurrentGradeNum() {
		return currentGradeNum;
	}

	public void setCurrentGradeNum(Integer currentGradeNum) {
		this.currentGradeNum = currentGradeNum;
	}

	public Integer getCooperationOrganId() {
		return cooperationOrganId;
	}

	public void setCooperationOrganId(Integer cooperationOrganId) {
		this.cooperationOrganId = cooperationOrganId;
	}

	@Override
	public String getCurrentClass() {
		return currentClass;
	}

	@Override
	public void setCurrentClass(String currentClass) {
		this.currentClass = currentClass;
	}

	public Integer getMemberRankSettingId() {
		return memberRankSettingId;
	}

	public void setMemberRankSettingId(Integer memberRankSettingId) {
		this.memberRankSettingId = memberRankSettingId;
	}

	public Date getMembershipStartTime() {
		return membershipStartTime;
	}

	public void setMembershipStartTime(Date membershipStartTime) {
		this.membershipStartTime = membershipStartTime;
	}

	public Date getMembershipEndTime() {
		return membershipEndTime;
	}

	public void setMembershipEndTime(Date membershipEndTime) {
		this.membershipEndTime = membershipEndTime;
	}

	public String getMemberRankImg() {
		return memberRankImg;
	}

	public void setMemberRankImg(String memberRankImg) {
		this.memberRankImg = memberRankImg;
	}
}
